# Uses of Class
java.awt.font.TextLayout

Packages that use TextLayout
Package
Description
java.awt.font
Provides classes and interface relating to fonts.

## Uses of TextLayout in java.awt.font

Methods in java.awt.font that return TextLayout
Modifier and Type
Method
Description
`TextLayout`
TextLayout.`getJustifiedLayout​(float justificationWidth)`
Creates a copy of this `TextLayout` justified to the specified width.
`TextLayout`
TextMeasurer.`getLayout​(int start, int limit)`
Returns a `TextLayout` on the given character range.
`TextLayout`
LineBreakMeasurer.`nextLayout​(float wrappingWidth)`
Returns the next layout, and updates the current position.
`TextLayout`
LineBreakMeasurer.`nextLayout​(float wrappingWidth, int offsetLimit, boolean requireNextWord)`
Returns the next layout, and updates the current position.
Methods in java.awt.font with parameters of type TextLayout
Modifier and Type
Method
Description
`boolean`
TextLayout.`equals​(TextLayout rhs)`
Returns `true` if the two layouts are equal.
`TextHitInfo`
TextLayout.CaretPolicy.`getStrongCaret​(TextHitInfo hit1, TextHitInfo hit2, TextLayout layout)`
Chooses one of the specified `TextHitInfo` instances as a strong caret in the specified `TextLayout`.